AUTOCUTSEL(1)

NAME
autocutsel - keep the X clipboard and the cutbuffer in sync

SYNOPSIS
autocutsel [-selection selection_name] [-cutbuffer number] [-debug] [-verbose] [-fork] [-pause milliseconds] [-buttonup]

DESCRIPTION

This manual page documents briefly the autocutsel command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

autocutsel tracks changes in the server's cutbuffer and clipboard selection. When the clipboard is changed, it updates the cutbuffer. When the cutbuffer is changed, it owns the clipboard selection. The cutbuffer and clipboard selection are always synchronized. Since the VNC client synchronizes the Windows' clipboard and the server's cutbuffer, all three "clipboards" are always kept synchronized. When you copy some text in Windows, the cutbuffer and the clipboard selection are updated. When you copy text on the server using either the cutbuffer or the clipboard selection, the Windows's clipboard is always updated.

OPTIONS

-selection, -select, -sel, -s {CLIPBOARD|PRIMARY}
    Specify which selection to use. Default is CLIPBOARD.

-cutbuffer <number>
    (Details of this parameter unknown.)

-debug, -d
    Run with debugging mode.

-verbose, -v
    Be more verbose. Reports the version and announces synchronizations.

-fork, -f
    Run as a daemon program in the background. This is recommended when used from an X startup script.

-pause, -p <milliseconds>
    Wait some milliseconds before owning the selection.

-buttonup
    Get the selection only when the button 1 is not pressed. This may help with OpenOffice Writer.

AUTHOR

This manual page was written by Elmar S. Heeb <elmar@heebs.ch> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.